<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Float base layout</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;

        }

        html,
        body {
            width: 100vw;
            height: 100vh;
            background: blanchedalmond;
        }

        header {
            width: 100%;
            background: whitesmoke;
            color: blue;
            text-align: center;
            height: 150px;
        }

        nav {
            width: 300px;
            height: calc(100% - 150px);
            background: chocolate;
            color: black;
            float: left;
        }

        main {
            float: right;
            background: lemonchiffon;
            width: calc(100% - 300px);
            height: calc(100% - 200px);
        }

        footer {
            background: lightpink;
            width: calc(100% - 300px);
            height: 50px;
            float: right;
            color: magenta;

        }
    </style>
</head>


<body>
    <header>
        Mina olen päis
    </header>

    <nav>
        Mina olen nav
    </nav>

    <main>
        Mina olen Main
    </main>

    <footer>
        See on footer
    </footer>

</body>

</html>